dots.v2.genAi.evaluation_runs.post()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.genAi.evaluation_runs.post(body: ApiRunEvaluationTestCaseInputPublic, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ApiRunEvaluationTestCaseOutput>

Description

To run an evaluation test case, send a POST request to /v2/gen-ai/evaluation_runs.

Parameters

agentDeploymentNames array of strings optional

Example: ["example string"]

Agent deployment names to run the test case against.

agentUuids array of strings optional

Example: ["example string"]

Agent UUIDs to run the test case against (legacy agents).

runName string optional

Example: Evaluation Run Name

The name of the run.

testCaseUuid string optional

Example: "12345678-1234-1234-1234-123456789012"

Test-case UUID to run

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.genAi.evaluation_runs.post({
    agentDeploymentNames: [
        "example string",
    ],
    agentUuids: [
        "example string",
    ],
    runName: "Evaluation Run Name",
    testCaseUuid: "\"12345678-1234-1234-1234-123456789012\"",
});

Response Example

Show Response Example
{
  "evaluation_run_uuids": [
    "example string"
  ]
}

More Information

See /v2/gen-ai/evaluation_runs in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.